--- 1/res/res_rtp_asterisk.c	2020-03-24 17:53:12.433056136 +0100
+++ 2/res/res_rtp_asterisk.c	2020-04-12 20:29:52.750178732 +0200
@@ -7756,7 +7758,7 @@
 			struct ast_rtp_rtcp_nack_payload *payload;
 
 			/* If the packet we received is the one we are expecting at this point then add it in */
-			if (rtp->expectedrxseqno == seqno) {
+			if (rtp->expectedrxseqno == seqno && !inserted) {
 				frame = ast_frdup(ast_rtp_interpret(instance, srtp, &addr, read_area, res, prev_seqno));
 				if (frame) {
 					AST_LIST_INSERT_TAIL(&frames, frame, frame_list);
@@ -7774,12 +7776,15 @@
 
 			payload = (struct ast_rtp_rtcp_nack_payload *)ast_data_buffer_remove(rtp->recv_buffer, rtp->expectedrxseqno);
 			if (payload) {
-				frame = ast_frdup(ast_rtp_interpret(instance, srtp, &addr, payload->buf, payload->size, prev_seqno));
-				if (frame) {
-					AST_LIST_INSERT_TAIL(&frames, frame, frame_list);
-					prev_seqno = rtp->expectedrxseqno;
-					ast_debug(2, "Emptying queue and returning packet with sequence number '%d' from RTP instance '%p'\n",
-						frame->seqno, instance);
+				//if the expectedrxseqno equals seqno this is an error or a duplicated packet...
+				if (rtp->expectedrxseqno != seqno) {
+					frame = ast_frdup(ast_rtp_interpret(instance, srtp, &addr, payload->buf, payload->size, prev_seqno));
+					if (frame) {
+						AST_LIST_INSERT_TAIL(&frames, frame, frame_list);
+						prev_seqno = rtp->expectedrxseqno;
+						ast_debug(2, "Emptying queue and returning packet with sequence number '%d' from RTP instance '%p'\n",
+							frame->seqno, instance);
+					}
 				}
 				ast_free(payload);
 			}
